
	/* ******************************************************************************* 

		GLOBAL VARS

	***********************************************************************************/ 	
	var is_rtl = $("body").hasClass("rtl");
	var window_width = $(window).width(); 
	var is_layout1 = $("body").hasClass("layout1");
	var is_layout2 = $("body").hasClass("layout2");
	var is_layout3 = $("body").hasClass("layout3");

	/* ******************************************************************************* 

		LOADERS

	***********************************************************************************/ 

	$('html').imagesLoaded( { background: ".has-bg-image, body, .slide-background, .left-side-background, #right_side" }, function() {	//all images loaded
		$(window).trigger("mozgaration_images_loaded");
	});

	$(window).on('mozgaration_images_loaded', function() { //window and all images loaded
		if( document.readyState === "complete" ){
			$(window).trigger("mozgaration_loaded");
		}else{
			$(window).on('load', function() {
				$(window).trigger("mozgaration_loaded");
			});
		}
	});

	Pace.on('hide', function(){ //everything loaded including ajax
		$(window).trigger("mozgaration_pace_done");
	});
 

	/* ******************************************************************************* 

		WINDOW WIDTH RESIZE ONLY

	***********************************************************************************/ 
	$(window).resize(function(){
		if($(this).width() != window_width){
			window_width = $(this).width();   
			$(window).trigger("window_width_resize");
		}
	});

	/* ******************************************************************************* 

		CHECK IF THE HIDDEN MOBILE MENU ACTIVE

	***********************************************************************************/ 
	if( ! $.fn.is_mobile_menu ){

		$.fn.is_mobile_menu = function()
		{ 
			return $(window).width() < 980;
		};
	}
