	<?php global $mozgaration_global_variables; ?>
	
	<?php get_template_part("layouts/top-bar") ?> 

		<?php
			//main header holder (background) width	 		
			$main_header_width = "";

			if( isset( $post ) && is_singular() ){
				$main_header_width = get_post_meta( $post->ID, 'mozgarationtheme_main_header_row_background_width', true );
			}

			if( empty( $main_header_width ) || $main_header_width == "global" ){
				$main_header_width =  get_theme_mod('mozgaration_main_header_row_background_width' ); 
			}

			//still can be empty for some cases 
			if( empty( $main_header_width ) ){
				$main_header_width = "fullwidth";
			}
		 
		 	//sticky header
			$sticky_header =  get_theme_mod( 'mozgaration_sticky_header' ) ? "sticky" : "";
			
			// Header class for info bar active
			$infobar_class =  get_theme_mod( 'mozgaration_hide_infobar' ) != "hidden" ? "infobar-active" : "";
         
		?>	
      
         
		
    <header class="top-header <?php echo sanitize_html_class($main_header_width); ?> <?php echo sanitize_html_class($sticky_header); ?> <?php echo sanitize_html_class($infobar_class); ?>">
         <?php
			//header content width	 	
			$header_content_width =  get_theme_mod( 'mozgaration_main_header_row_content_width' ) == "fullwidth" ? "fullwidth" : "default"; 
		 ?>
	     <?php
		  //hide info bar
		  $infobar_hide = do_shortcode( get_theme_mod('mozgaration_hide_infobar') );
		  $infobar_button_hide = do_shortcode( get_theme_mod('mozgaration_infobar_hide_button') );
		  
		  
		  //info bar content
		  $infobar_phone_hide    = do_shortcode( get_theme_mod('mozgaration_infobar_content_phone_hide') );
		  $infobar_phone1        = do_shortcode( get_theme_mod('mozgaration_infobar_content_phone1') );
		  $infobar_phone2        = do_shortcode( get_theme_mod('mozgaration_infobar_content_phone2') );
		  $infobar_email_hide    = do_shortcode( get_theme_mod('mozgaration_infobar_content_email_hide') );
		  $infobar_email1        = do_shortcode( get_theme_mod('mozgaration_infobar_content_email1') );
		  $infobar_email2        = do_shortcode( get_theme_mod('mozgaration_infobar_content_email2') );
		  $infobar_address_hide  = do_shortcode( get_theme_mod('mozgaration_infobar_content_address_hide') );
		  $infobar_address1      = do_shortcode( get_theme_mod('mozgaration_infobar_content_address1') );
		  $infobar_address2      = do_shortcode( get_theme_mod('mozgaration_infobar_content_address2') );
		  $infobar_worktime_hide = do_shortcode( get_theme_mod('mozgaration_infobar_content_worktime_hide') );
		  $infobar_worktime1     = do_shortcode( get_theme_mod('mozgaration_infobar_content_worktime1') );
		  $infobar_worktime2     = do_shortcode( get_theme_mod('mozgaration_infobar_content_worktime2') );
		   ?>
		  
		 <?php if( $infobar_hide != "hidden"): ?>
		         
		     <div id="infobar" class="<?php echo sanitize_html_class($main_header_width); ?>">			
                 <div class="infobar-inner <?php echo sanitize_html_class($header_content_width); ?>">			
			         <div class="infobar-logo">
                      <?php
				       /**
				        * mozgaration_logo hook
				        * @hooked mozgaration_logo_output - 10
				       */
				       do_action("mozgaration_logo"); 
				      ?>
				     </div>
                    
					 <div class="infobar-right ">
					     <div class="infobar-contacts ">
						  <?php if( $infobar_phone_hide != "hidden"): ?>	 
							<div class="infobar-contacts-item">
		                         <div class="infobar-contact-mini">
		                             <i class="infobar-contact-mini-icon icon icon-mobile"></i>
			                         <strong><?php echo esc_attr($infobar_phone1);?></strong>
			                         <span><?php echo esc_attr($infobar_phone2);?></span>
		                         </div>
	                        </div>
	                      <?php endif;?>	
						  <?php if( $infobar_email_hide != "hidden"): ?>
	                        <div class="infobar-contacts-item">
	                     	     <div class="infobar-contact-mini">
			                         <i class="infobar-contact-mini-icon icon icon-mail-1"></i>
			                         <strong><?php echo esc_attr($infobar_email1);?></strong>
			                         <span><?php echo esc_attr($infobar_email2);?></span>
		                         </div>
	                         </div>
	                      <?php endif;?>
						  <?php if( $infobar_address_hide != "hidden"): ?>
	                         <div class="infobar-contacts-item">
		                         <div class="infobar-contact-mini">
			                         <i class="infobar-contact-mini-icon icon icon-location-2"></i>
			                         <strong><?php echo esc_attr($infobar_address1);?></strong>
			                         <span><?php echo esc_attr($infobar_address2);?></span>
		                         </div>
	                         </div>
	                      <?php endif;?>
						  <?php if( $infobar_worktime_hide != "hidden"): ?>
	                         <div class="infobar-contacts-item">
		                         <div class="infobar-contact-mini">
			                         <i class="infobar-contact-mini-icon icon icon-clock"></i>
			                         <strong><?php echo esc_attr($infobar_worktime1);?></strong>
			                         <span><?php echo esc_attr($infobar_worktime2);?></span>
		                         </div>
	                         </div>
                          <?php endif;?>
                         </div>
						<?php 
						//buttom link
						$infobar_button_link = do_shortcode( get_theme_mod('mozgaration_infobar_button_link') );
						//buttom text
						$infobar_button_text = do_shortcode( get_theme_mod('mozgaration_infobar_button_text') );
						//button location
						$infobar_button_location = do_shortcode( get_theme_mod('mozgaration_infobar_button_location') );
						
						?>
				        <?php if( $infobar_button_hide != "hidden" && $infobar_button_location != "nav" ): ?>		
                             <?php if( $infobar_button_link):?>
                             <a href="<?php echo esc_url( $infobar_button_link ) ?>" class="button"><span><?php echo esc_attr($infobar_button_text);?></span></a>
							 <?php endif;?>
                        <?php endif;?>
                     </div>
                 </div>
             </div>
         <?php endif;?>	
	
	
	
	
	
				

		<div class="header-elements <?php echo sanitize_html_class($header_content_width); ?>">

			<!-- mobile menu button -->
			<div class="mobile-menu-button"><span></span><span></span><span></span></div>
          <?php if( $infobar_hide == "hidden"): ?>
			<?php
			/**
			 * mozgaration_before_logo hook
			 */
			do_action("mozgaration_before_logo"); 
			?>

			<!-- logo -->
			<div id="logo" class="site-logo">
				<?php
				/**
				 * mozgaration_logo hook
				 * @hooked mozgaration_logo_output - 10
				 */
				do_action("mozgaration_logo"); 
				?>
			</div><!-- / end #logo -->
          <?php endif;?>	

			<div class="header-right">
				<?php
				/**
				 * mozgaration_header_right hook 
				 * @hooked mozgaration_header_right_sideber - 10
				 * @hooked mozgarationframework_main_navigation - 20
				 * @hooked mozgaration_top_shortcut_buttons_s2 - 30
				 * 
				 */
				do_action("mozgaration_header_right"); 
				?>
			</div><!-- / end .header-right -->


			<?php
			/**
			 * mozgaration_after_header_elements hook
			 * @hooked mozgaration_mobile_menu - 30
			 *
			 */
			do_action("mozgaration_after_header_elements"); 
			?>
			

		</div>
	</header>


	<!-- main contents -->
	<div id="main_content">

	<?php 

		/**
		 * Get sub page header
		 * @hooked mozgaration_sub_page_header_function
		 */
		do_action( "mozgaration_sub_page_header");
	?>

	<?php 		
		/**
		 * Get page container
		 * @hooked mozgaration_content_container
		 */	
		do_action("mozgaration_content_container", array("action"=>"start", "sidebar"=>$mozgaration_global_variables['sidebar_position'],"echo" => ! mozgaration_is_composer_allowed(), "class" => $mozgaration_global_variables["default_content_row_width"], "overlap" => apply_filters( "mozgaration_content_overlap", false ) ) );
	?>

	<?php 		
		/**
		 * Hooks For Before Main Content
		 */	
		do_action("mozgaration_before_main_content");
	?>