<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}


/**
 * Mozgaration theme Logo Options
 */
$this->options["mozgaration_logo_options"] = array(

		'title' => __("Logo Options", "mozgaration"), 
		'priority' => 1,
		"description" => esc_html_x('Your site may have two different sets of logos to be used different header skins such as light or dark headers.','Admin Panel','mozgaration'),
		'sections' => array(
 
								array(
									"id"          => MOZGARATION_THEMESLUG."_logo_url", 	
									"label"       => __("Logo Image",'mozgaration'),
									"description" => __('Upload a image file by the use of the upload button or insert a valid url to a image to use as the website logo. Use a bigger image than the logo box width like 580px (width) to get a sharp look with the retina devices.','mozgaration'),
									"transport"   => "refresh",															
									"type"        => "mozgaration_media"
								), 

								array(
									"id"          => MOZGARATION_THEMESLUG."_sticky_logo_url", 	
									"label"       => __("Logo Image for the Sticky Header (optional)",'mozgaration'),
									"description" => __('Upload an alternative logo image for the sticky navigation bar.','mozgaration'),
									"transport"   => "refresh",															
									"type"        => "mozgaration_media"
								), 

					)
	);