<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

/**
 * Mozgaration theme Social Media Options
 */

$this->options["mozgaration_social_media_options"] = array(

		'title' => __("Social Media Options", "mozgaration"), 
		'description' => "", 
		'priority' => 8,
		'sections' => array(									

								/*
								array(
									'id'       => 'visibility',
									'title'    => __("Visibility", "mozgaration"), 
									'controls' => array( 
														array(
															"id"        => MOZGARATION_THEMESLUG."_social_media",															
															"label"     => __("Display the icons in the website",'mozgaration'),
															"default"   => "on",
															"transport" => "refresh", 
															"type"      => "checkbox"
														),												
												),
								),	

								*/
					)

		);


//add all icons within a seperate section
foreach ($this->mozgaration_social_media_icons as $key => $value) {

	switch ($key) {
		case 'Email':
			$msgdesc=__("Enter a URL to your contact page or your email address.",'mozgaration');
			break;
		
		case 'Skype':
			$msgdesc=__("Enter a skype address. <strong>Syntax</strong> : 'skype:skypeid?call' or 'skype:phonenumber?call'.",'mozgaration');	
			break;

		case 'RSS':
			$msgdesc= __("Enter a valid URL (http or https) to the RSS-feed. <strong>For example</strong>  http://yourwebsite.com/feed/ ",'mozgaration');
			break;

		default:
			$msgdesc= __("Enter the URL that you want to link the icon <strong>For example</strong>  http://social-media-site.com/your-name/ ",'mozgaration');
			break;
	}

	array_push($this->options["mozgaration_social_media_options"]["sections"], array(
			'id'       => $value,
			'title'    => $key." ".__("Options", "mozgaration"), 
			'controls' => array( 
								array(
									"id"          => MOZGARATION_THEMESLUG."_".$value,										
									"label"       => __("Link (URL)",'mozgaration'),
									"default"     => "",
									"description" => $msgdesc,
									"type"        => "text"
								),															
								array(
									"id"      => MOZGARATION_THEMESLUG."_".$value."_text",											
									"label"   => __("Hover Text",'mozgaration'),
									"default" => "",
									"type"    => "text"
								),										
								array(
									'id'      => MOZGARATION_THEMESLUG."_".$value."_target",						
									'label'   => __("Link Target",'mozgaration'),
									'type'    => 'select',
									"default" => "",
									'choices' =>  array('_blank'=>'New Window','_self'=>'Same Window'),
								),													
						),
		)
	);

}